import java.io.File;
import javax.sound.sampled.AudioInputStream;
import javax.sound.sampled.AudioSystem;
import javax.sound.sampled.Clip;

public class Sounds
{
    Clip jumpclip;
    public Sounds()
    {
        try
        {
            Clip clip = AudioSystem.getClip();
            AudioInputStream inputStream = AudioSystem.getAudioInputStream(new File("1990.wav"));
            clip.open(inputStream);
            clip.loop(Clip.LOOP_CONTINUOUSLY);
            
            jumpclip = AudioSystem.getClip();
            // http://www.wavsource.com/sfx/sfx.htm
            AudioInputStream inputStream2 = AudioSystem.getAudioInputStream(new File("bloop_x.wav"));
            jumpclip.open(inputStream2);
        }
        catch(Exception ex)
        {
            ex.printStackTrace();
        }
    }
    
    public void JumpSound()
    {
        jumpclip.setFramePosition(0);
        jumpclip.start();
    }
}